geos::operation::linemerge::EdgeString Class Reference

A sequence of LineMergeDirectedEdge forming one of the lines that will be output by the line-merging process. More...

`#include <EdgeString.h>`

## Public Member Functions

| EdgeString (const geom::GeometryFactory *newFactory)
| Constructs an EdgeString with the given factory used to convert this EdgeString to a LineString.
void | add (LineMergeDirectedEdge *directedEdge)
std::unique_ptr< geom::LineString > | toLineString () const

## Detailed Description

A sequence of LineMergeDirectedEdge forming one of the lines that will be output by the line-merging process.

## Member Function Documentation

## add()

void geos::operation::linemerge::EdgeString::add | ( | LineMergeDirectedEdge * | directedEdge | ) |

Adds a directed edge which is known to form part of this line.

## toLineString()

std::unique_ptr< geom::LineString > geos::operation::linemerge::EdgeString::toLineString | ( |  | ) | const

Converts this EdgeString into a LineString.

The documentation for this class was generated from the following file:

- EdgeString.h